#include<iostream>
using namespace std;

int main(){
    
    int x = 0, y = 0;
    char a;
    while(cin >> a){
        if(a == 'L'){
            x--;
        }else if(a == 'R'){
            x++;
        }else if(a == 'D'){
            y--;
        }else{
            y++;
        }
    }
    if(x == 0 && y == 0){
        cout << 0 << endl;
        return 0;
    }
    //return 0;
    if(y > 0){
        for(int i = 0; i < y; i++){
            cout << 'D';
        }
    }else{
        for(int i = 0; i < -y; i++){
            cout << 'U';
        }
    }
    if(x > 0){
        for(int i = 0; i < x; i++){
            cout << 'L';
        }
    }else{
        for(int i = 0; i < -x; i++){
            cout << 'R';
        }
    }
    cout << endl;
    
    return 0;
}